// Import Bootstrap Compass integration
@import "bootstrap-compass";

// Import custom Bootstrap variables
@import "bootstrap-variables";

// Import Bootstrap for Sass
@import "bootstrap";

@import "base";
//global
.btn-primary a{
  color:white;
}

.fontpage_search:-webkit-autofill,
.fontpage_search:-webkit-autofill:hover,
.fontpage_search:-webkit-autofill:focus,
.fontpage_search:-webkit-autofill:active {
    transition: background-color 5000s ease-in-out 0s;
    -webkit-text-fill-color: white;
}

.fontpage_search input{
    color: white;
}

.fontpage_search input:focus {
    color: white;
}
//navbar
#navbar{
  margin-bottom:0;
  .logo{
    margin:8px; 
    img{
      height:30px,
    }
  }
}

#superfish-1-accordion{
//  float:left;
  .sf-has-clone-parent {
    position:static;
  }
  .sf-hidden {
    position:absolute;
  }
  li {
    float:none;
    padding:4px 0;
  }
}
#block-superfish-1{
  float:left;
  padding:18px 0;
  .sf-sub-indicator {
   display:none;
  }
  
  .sf-depth-1{ 
    &:nth-of-type(n+2){
      padding-left:8px;
    }
    a{
	padding-right:15px;
    }
     
    .sf-with-ul{
        .custom-arrow{
          background:none;
          width: 0;
          height: 0;
          border-left: 4px solid transparent;
          border-right: 4px solid transparent;
          border-top: 5px solid #ef6c00;
          right: 5px;
          position: absolute;
          top: 4px;
	}
      }  
  }
  @media (min-width: 768px) {
  li.sf-depth-2{
        .sf-with-ul .custom-arrow{
          background:none;
          width: 0;
          height: 0;
          border-top: 4px solid transparent;
          border-bottom: 4px solid transparent;
          border-left: 5px solid #ef6c00;
          right: 5px;
          position: absolute;
          top: 4px;
	}
      padding:8px;
      background:#f9f9f9;
      border-bottom:1px solid #d9d9d9;  
      border-left:1px solid #d9d9d9;  
      border-right:1px solid #d9d9d9;  
  }
}
  li.sf-depth-3, li.sf-depth-4, li.sf-depth-5, li.sf-depth-6{
    @extend li.sf-depth-2;
      &:first-child{
       border-top:1px solid #d9d9d9;
      }
  }
}

@media (max-width: 768px) {
  #block-superfish-1 {
    width:100%;
  }
  .sf-clone-parent{
    display:none;
  }
  .sf-menu ul{
    width:100%;
    top:0;
    &:hover {
      top:0;
    }
  }	
  .sf-menu li{
    border-bottom:1px solid #ececec;
    width:100%;
  }
}

//main content container
.main-container.front {
  width:100%;
  margin:0;
}

.breadcrumb{
  background:none;
  padding-top:10px;
}
.container.front {
  padding:0;
}

.front .block-views{
  padding-left:30px;
  &:nth-of-type(n+3){
    margin-top:30px;
  }
  p{
    font-size:$font-size-md;
  }
}

//footer
footer{
  margin-top: 80px;
    padding: 15px;
    background: #2e3a40;
    color: #dcf3ff;
    width: 100% !important;
    text-align: center;
}

//Jumbotron
.jumbotron {
  position:relative;
  padding:30px;
  background: url("../image/jumbotron-bg2.jpg") no-repeat center center;
  background-size:cover;
  width:100%;
  .home-tool{
    padding:10px 0;
    line-height:1.1; 
    p {
      color:$brand-blue;
      margin-bottom:0;
      font-size:0.8em;
    }
    .views-field-title a{
      color:$brand-blue;
      font-size:$font-size-large;
      font-weight:bold;
    }  
    .views-field-field-link-tutorial {
      a{
        display:block;
	padding:7px 0;
        color: $brand-blue;
        font-size:$font-size-md;
      }
    }
    .views-field-body
    {
      margin-bottom:8px;
      font-size:$font-size-md;
    }  
  }
  .image-src {
    position: absolute;
    bottom: 15px;
    font-size:12px;
    color:#999999;    
  }
}

//Start a Project
.start-project {
 // background: url("../image/start.png") no-repeat center center;
//  background-size:cover;
  .view-start-a-project{
    margin-top:30px;
  }
  .btn-contact{
    margin-top:20px;
    padding-left:30px;
    padding-right:30px;
    border-radius: 25px;
  }
}

.fontpage_search{
  margin:70px 15px 15px 15px;
  .form-text{
    height:50px;
    background:#2e3a40;
    border:1px solid #dcf3ff;
  }
  .input-group-btn .btn-default{
    height:50px;
    width:80px;
    color:#dcf3ff;
    font-weight:bold;
    background:#2e3a40;
    border:1px solid #dcf3ff;
    transition: all 100ms ease-in-out;
    &:hover {
      opacity: .7;
    }
    
  }
}

.navbar #block-search-form{
  position: absolute;
  right: 30px;
  width:180px;
  margin:8px 0;
}

//@media (min-width:970px) {
//  .header-search{
 //   position:absolute;
//   top:45px;
//    left:66%;
//    padding:0 7px 7px 7px;
//    background:#f5f5f5;
//  }
//}

#block-block-9{
  margin: 0 15px;
}

//Join a project

.join-step{
  float:left;
  width:30%;
  min-height: 170px;
  padding: 10px;
  text-align: center;
  margin:30px 1% 30px 1%;
  @include box-shadow (0 1px 4px rgba(0, 0, 0, 0.27), 0 0 40px rgba(0, 0, 0, .06) inset);
  &:hover {
    @include box-shadow (0 1px 6px rgba(0, 0, 0, 0.35), 0 0 20px rgba(0, 0, 0, .06) inset);
  }
  
  .views-field-title{
    margin-top:10px;
  }
  .join-step-link {
    display:block;
    margin-top:10px;
    text-shadow: 0 1px 0 rgba(255, 255, 255, 0.4);
  }
  img{
    display: block;
    max-width: 100%;
    height: auto;
    margin: 0 auto;
  }
}

//news
.news-row:nth-of-type(n+2){
  margin-top:20px;
}

.view-news-list{
  .views-field-title {
    float:right;
    width:85%;
    font-size:$font-size-md;
    font-weight:bold;  
  }

  .views-field-body {
    float:right;
    width:85%;
  }
 
  .views-field-field-news-category {
    float: left;
    width:13%;
    .fa-4x{
      @media (max-width: 480px) {
        font-size:3em;
      }
    }
  }
  .views-field-field-news-image{
    float:left;
    width:28%;
    margin-right: 3%;
    img {
      display: block;
      width: 100%;
      height: auto;
    }
  }
}

.node-news-category h2{
  display: none;
}
//organism table
.tripal-contents-table-td{
  width:200px;
  .tripal_toc_list_item {
    word-wrap: break-word;
    word-break: break-all;
    @include hyphens(auto);
    width: 200px;
  }
    #resource-link-0{ 
      height:46px;
      white-space:normal;
    }

}

#tripal_organism-assembly-annotation-details{
  & #assembly_annotation_details tr{
    height:40px;
    vertical-align:middle;
    border-top: 1px solid #f0f0f0;
    &:last-child{
    	border-bottom:1px solid #f0f0f0;
    }
  }
  & #assembly_annotation_details th{
    padding:0 10px;
  }
}

//gene
#tripal-chado_feature-contents-table{
  width:100%;
  background:#f9f9f9;
  & .tripal-contents-table-tr{
    border:1px solid #d9d9d9 !important;
    &:first-child .tripal-contents-table-td-data{
      padding:0 !important;
    }
    & .tripal-contents-table-td-data{
      padding-bottom:25px !important;
      padding-top:25px !important;
    }
  }
  #tripal_feature-table-sequence-subject {
    th{
        padding:5px 10px; 
    }
    td{
	padding:0 10px;
    }
  } 
}

#chado_feature-tripal-toc-pane{
  text-align:center;
  padding:0 !important;
  .tripal_toc_list_item{
    display:inline-block;
    padding:10px 0px !important;
    margin:0 !important;
    width:33.33%;
    border-right:1px solid #d9d9d9;
    &:last-child{
      border:none;    
    }
    & a{  
      font-size:1.2em;
      text-decoration:none;
    }
  }
  .active {
    background:#ef6c00;
    a {
      color:white;
    }
  }
}

#popup-message-window {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

//Registration Form
#web-apollo-registration{
  width:80%;
}

//Annotation detail
.statistics_details table {
  td, th{
    padding:5px 7px;
  }
}

.block-facetapi, .block-custom-i5k {
  h2{
    margin-top:0;
    padding:10px 15px;
    background: linear-gradient(#fcfcfc,#ececec);
  }
    margin-bottom:20px;
    border:1px solid #eeeeee;
    @include box-shadow(0 1px 0 rgba(255,255,255, .9) inset, 0 1px 3px rgba(0,0,0, .1));
    .block-title{
      font-size:24px;
      padding-bottom:10px;
      border-bottom:1px solid #eeeeee;
    }
  td, th{
    padding:5px 7px;
  }
  &:first-child{
    margin-top:70px;
  }
}

//VIJAYA - CHANGES FOR CAPTCHA

.captcha .help-block {
    display: none;
}

.panel-default > .panel-heading {
  display: none;
}

//VIJAYA - changing the css for validation error elements
div.error {
  background-color: #FFF;
}

input.error,
textarea.error,
select.error {
  border: 2px solid #F00;
}

//VIJAYA - Form textarea width to auto
.form-item > input,
.form-textarea-wrapper textarea {
  width: auto;
}

.resizable-textarea .grippie {
  width: 38.42%;
  margin-left: 161.2px;
}

//VIJAYA - contact form fields css
.contact-form { 
  .form-item  > label {
    float: left;
  } 
  .form-item-name label {
    margin-right: 82px;
  }
  .form-item-mail label {
    margin-right: 20px; 
  }
  .form-item-subject label {
    margin-right: 102px;
  }
  .form-item-message label {
    margin-right: 93px;
  }
  .form-item-captcha-response label {
    margin-right: 40px;
  }
  .btn-default {
    color: #FFF;
    background-color: #EF6C00;
    border-color: #D66000;
  }
  fieldset.panel {
    border: 0px;
  }
}

.annotator_class {
  word-break: break-all;
}

//overide Apollo registration form style
#web-apollo-registration {
  .form-type-select {
    select {
      float: left;
    }
  }
}

.clearfix:after { 
   content: "."; 
   visibility: hidden; 
   display: block; 
   height: 0; 
   clear: both;
}

//VIJAYA - community contact 
#cc_label, #cc, .emailLnk {
  float: left;
  margin-right: 10px;
}

